Bug 865 - Could not play MMS streaming video
: Could not play MMS streaming video
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal major
: ---
Assigned To: Evgeniy Auzhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 15:56 MSD by FirstLevel
Modified: 2012-12-05 12:49 MSK (History)
5 users (show)

See Also:
RPM Package: rosa-media-player-plugin-0.951-139-rosa.lts2012.0.x86_64
ISO-related:
Bad POT generating:
Upstream: known
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
firefox could not play video stream (290.31 KB, image/png)
2012-10-06 15:56 MSD, FirstLevel
Details
VLC can play video stream (644.68 KB, image/png)
2012-10-06 15:56 MSD, FirstLevel
Details
Information about media object from firefox (99.03 KB, image/png)
2012-10-06 15:57 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-10-06 15:56:21 MSD
Created attachment 637 [details]
firefox could not play video stream

Description of problem:
1. Open http://www.veseloeradio.ru/?an=trans_umor
2. You can see the embedded player window
3. But You cannot to play this streaming video in Firefox or Chromium
Both browsers use rosa-media-player-plugin for playing streaming video.
If You copy URL of this video streaming object You can see it in VLC




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2012-10-06 15:56:41 MSD
Created attachment 638 [details]
VLC can play video stream
Comment 2 FirstLevel 2012-10-06 15:57:13 MSD
Created attachment 639 [details]
Information about media object from firefox
Comment 3 FirstLevel 2012-10-06 15:58:20 MSD
As You can see on the screenshot with VLC this stream is  MMS video stream and uses Microsoft video codecs.
Comment 4 FirstLevel 2012-10-06 16:03:53 MSD
[sergei@ltsrp1-64 ~]$ rpm -qa | grep rosa-media
rosa-media-player-plugin-0.951-139-rosa.lts2012.0.x86_64
rosa-media-player-1.5-12-rosa.lts2012.0.x86_64
[sergei@ltsrp1-64 ~]$
[sergei@ltsrp1-64 ~]$ uname -a
Linux ltsrp1-64 3.0.38-nrj-desktop-1rosa.lts #1 SMP PREEMPT Tue Jul 24 11:00:04 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[sergei@ltsrp1-64 ~]$
Comment 5 Denis Koryavov 2012-10-07 09:19:55 MSD
Well, I can listen this address mms://89.20.132.26/v3_1?st=&WMContentBitrate=2790000 in ROSA Media Player too.
Comment 6 FirstLevel 2012-10-07 11:44:05 MSD
(In reply to comment #5)
> Well, I can listen this address
> mms://89.20.132.26/v3_1?st=&WMContentBitrate=2790000 in ROSA Media Player
> too.

Did You try to repeat actions from case?
If You open http://www.veseloeradio.ru/?an=trans_umor in Firefox do You see the ttranslation?
May be this case relates only 64bit system?
Comment 7 Evgeniy Auzhin 2012-11-21 14:13:00 MSK
Advisory:
Add support of stream playlist in Rosa-media-player-plugin

x86_64: http://abf.rosalinux.ru/downloads/rosa2012lts/container/rosa-media-player-plugin-847864

i586: http://abf.rosalinux.ru/downloads/rosa2012lts/container/rosa-media-player-plugin-847863
Comment 8 Evgeniy Auzhin 2012-11-21 14:18:27 MSK
Advisory:
Add support of stream playlist in Rosa-media-player-plugin

x86_64: https://abf.rosalinux.ru/build_lists/847864

i586: https://abf.rosalinux.ru/build_lists/847863
Comment 9 Vladimir Potapov 2012-11-27 11:31:31 MSK
rosa-media-player-plugin-1.0-2-rosa.lts2012.0
***************** Advisory *********************
Add support of stream playlist in Rosa-media-player-plugin
*************************************************
QA Verified